
.page-section {
  padding: 28px 0;
}
  
  .section-header p {
    font-size: 24px;
    font-weight: 500;
    color: #333333;
    margin-bottom: 5px;
  }
  
  .header-line {
    width: 100%;
    height: 3px;
    background-color: #aeaeae;
    border: none;
    margin: 0 auto 20px;
  }
  
  .categories-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 20px;
    margin-top: 20px;
  }
  
  .category {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  
  /* Category Image */
  .category-image {
    padding: 2px;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    overflow: hidden;
    border: 1px solid #DADADA;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .category-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
  /* Category Name */
  .category-name {
    margin-top: 10px;
    font-size: 16px;
    color: #555555;
    font-weight: 500;
  }

  /* links  */


  .links-section{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
  }
  .subsection {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex: 1 1 calc(33.33% - 20px);
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 20px;
    color: #ffffff;
    min-height: 150px;
  }
  
  .subsection:nth-child(1) {
    background-color: #4CAF50; 
  }
  
  .subsection:nth-child(2) {
    background-color: #0c00ae; 
  }
  
  .subsection:nth-child(3) {
    background-color: #C7A903; 
  }
  
  .links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    flex: 1;
  }
  
  .links p {
    font-size: 26px;
    font-weight: 600;
    margin: 0 0 10px;
  }
  
  .links a {
    text-decoration: none;
    color: #ffffff;
    background-color: #000000;
    padding: 8px 16px;
    border-radius: 20px;
    font-size: 14px;
    font-weight: bold;
    transition: background-color 0.3s;
  }
  
  .links a:hover {
    background-color: #ffffff;
    color: #000000;
  }
  
  .image {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }
  
  .image img {
    max-width: 120px;
    height: auto;
    border-radius: 10px;
    object-fit: contain;
  }

  /* featured products  */
.products {
  display: flex;
  gap: 20px;
  overflow-x: auto;
  padding: 18px 0 26px 0;
  scroll-behavior: smooth;
  white-space: nowrap;
}

.products::-webkit-scrollbar {
  width: 8px; 
  height: 8px; 
}

.products::-webkit-scrollbar-track {
  background: #dedddd; 
  border-radius: 4px;
}

.products::-webkit-scrollbar-thumb {
  background: #146CDA;
  border-radius: 4px; 
  border: 2px solid #d3d3d3;
}

.products::-webkit-scrollbar-thumb:hover {
  background: #0056b3;
}
.products {
  scrollbar-width: thin;
  scrollbar-color: #007bff #f0f0f0;
}

.product-link {
  text-decoration: none;
  color: inherit; 
  display: inline-block;
}


.product-card {
  flex: 0 0 auto;
  width: 200px;
  padding: 8px;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  text-align: center;
  transition: transform 0.3s;
}

.product-card:hover {
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.267);
}

/* Product Image */
.product-image img {
  width: 100%;
  height: auto;
}

/* Product Details */
.card-product-details {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 14px;
  padding: 12px;
}

.product-brand{
  white-space: nowrap; 
  overflow: hidden; 
  text-overflow: ellipsis; 
}

.card-product-brand{
  font-weight: 600;
  font-size: 14px;
  color: #333;
}


.card-product-name {
  font-weight: bold;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
  max-width: 100%;
  color: #333333;
}

.card-product-prices{
  display: flex;
  justify-content: space-between;
  gap: 12px;
  color: #333;
}

.card-product-price{
  font-weight: 600;
  font-size: 16px;
}

.card-product-discount{
  color: #007e26;
  font-weight: 500;
}




/* promise ribbon  */
.promise-ribbon {
  background-color: #146CDA; 
  padding: 20px;
  display: flex;
  justify-content: space-between; 
}

.promise {
  display: flex;
  align-items: center;
  gap: 15px; 
  margin-right: 20px;
}

.promise-image img {
  width: 40px;
  height: 40px;
  object-fit: cover;
}

.promise-texts {
  color: #fff;
}

.promise-texts p {
  font-weight: bold;
  margin: 0;
}

.promise-texts span {
  font-size: 14px;
  display: block;
  margin-top: 5px;
}
